function [varargout] = fmincopf(varargin)
%FMINCOPF  Solves an AC optimal power flow using FMINCON (Opt Tbx 2.x & later).
%
%   Uses algorithm 520. Please see OPF for the details of input and
%   output arguments.

%   MATPOWER
%   $Id: fmincopf.m,v 1.36 2010/03/11 14:42:22 ray Exp $
%   by Ray Zimmerman, PSERC Cornell
%   Copyright (c) 2000-2010 by Power System Engineering Research Center (PSERC)
%   See http://www.pserc.cornell.edu/matpower/ for more info.

[mpc, mpopt] = opf_args(varargin{:});
mpopt = mpoption(mpopt, 'PF_DC', 0, 'OPF_ALG', 520);
[varargout{1:nargout}] = opf(mpc, mpopt);
